import {combineReducers,configureStore}from'@reduxjs/toolkit';import {persistReducer,FLUSH,REHYDRATE,PAUSE,PERSIST,PURGE,REGISTER}from'redux-persist';// version 11/12/2021
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @typescript-eslint/no-var-requires */
/* eslint-disable global-require */
/* eslint-disable no-underscore-dangle */
/**
 * Add any reducers required for this app dirctly in to
 * `combineReducers`
 */
const createReduxStore = ({ scope, isDebug, isDev, reducers, rootEpic, enhancers = [], epicMiddleware, preMiddleware = [], postMiddleware = [], middleware = [], initialState, persistConfig, reduxConfig, }) => {
    const isBrowser = scope === 'browser';
    const isElectronMain = scope === 'ElectronMain';
    const rootReducer = combineReducers(reducers);
    const persistedReducer = persistConfig && isBrowser ? persistReducer(persistConfig, rootReducer) : rootReducer;
    /**
     * Add middleware that required for this app.
     */
    // Configure middlewares
    const middlewares = [
        ...preMiddleware,
        ...(epicMiddleware ? [epicMiddleware] : []),
        ...middleware,
        ...postMiddleware,
    ];
    const store = configureStore({
        reducer: persistedReducer,
        middleware: (getDefaultMiddleware) => getDefaultMiddleware({
            serializableCheck: {
                ignoredActions: [FLUSH, REHYDRATE, PAUSE, PERSIST, PURGE, REGISTER, ...(reduxConfig?.ignoredActions || [])],
            },
        }).concat(...middlewares),
        devTools: isDev || isDebug,
        preloadedState: initialState,
        enhancers: (getDefaultEnhancers) => getDefaultEnhancers().concat(...enhancers),
    });
    if ((isBrowser || isElectronMain || __SSR__) && epicMiddleware && rootEpic) {
        epicMiddleware.run(rootEpic);
    }
    return store;
};export{createReduxStore};