import {Cluster,Redis}from'ioredis';import {config}from'./env-config.server.js';let redisClient;
function getRedisClient(logger) {
    if (!redisClient) {
        // Initialize Redis client if it doesn't exist
        if (config.REDIS_CLUSTER_ENABLED) {
            if (!config.REDIS_CLUSTER_URL) {
                throw new Error(`No nodes defined for cluster, ${config.REDIS_CLUSTER_URL}`);
            }
            logger?.info('Setting Redis.Cluster connection');
            redisClient = new Cluster(config.REDIS_CLUSTER_URL);
        }
        else {
            logger?.info('Setting Redis connection');
            redisClient = new Redis(config.REDIS_URL);
        }
        return redisClient;
    }
    return redisClient;
}export{getRedisClient};