import*as React from'react';import {startTransition,StrictMode}from'react';import'reflect-metadata';import {RemixBrowser}from'@remix-run/react';import {hydrateRoot}from'react-dom/client';import {createCache,StyleProvider}from'@ant-design/cssinjs';import {ApolloProvider}from'@apollo/client/index.js';import {removeUniversalPortals,SlotFillProvider}from'@common-stack/components-pro';import {InversifyProvider}from'@common-stack/client-react';import {Provider}from'react-redux';import {PersistGate}from'redux-persist/integration/react';import {persistStore}from'redux-persist';import {CacheProvider}from'@emotion/react';import i18next from'i18next';import {initReactI18next,I18nextProvider}from'react-i18next';import LanguageDetector from'i18next-browser-languagedetector';import Backend from'i18next-http-backend';import {getInitialNamespaces}from'remix-i18next/client';import {createReduxStore}from'@app/frontend-stack-react/config/redux-config.js';import {createClientContainer}from'@app/frontend-stack-react/config/client.service';import clientModules from'@app/frontend-stack-react/modules.js';import createEmotionCache from'@app/frontend-stack-react/entries/common/createEmotionCache.js';import config from'@app/cde-webconfig.json';/**
 * By default, Remix will handle hydrating your app on the client for you.
 * You are free to delete this file if you'd like to, but if you ever want it revealed again, you can run `npx remix reveal` ✨
 * For more information, see https://remix.run/file-conventions/entry.client
 */
const { apolloClient: client, container, serviceFunc } = createClientContainer();
const { store } = createReduxStore(client, serviceFunc(), container);
const persistor = persistStore(store);
const antCache = createCache();
const cache = createEmotionCache();
window.__remixStore = store;
removeUniversalPortals(window.__SLOT_FILLS__ || []);
async function hydrate() {
    if (!i18next.isInitialized && config.i18n.enabled) {
        await i18next
            .use(initReactI18next)
            .use(LanguageDetector)
            .use(Backend)
            .init({
            fallbackLng: config.i18n.fallbackLng,
            defaultNS: config.i18n.defaultNS,
            react: config.i18n.react,
            supportedLngs: config.i18n.supportedLngs,
            backend: config.i18n.backend,
            ns: getInitialNamespaces(),
            detection: {
                order: ['htmlTag'],
                caches: [],
            },
        });
    }
    startTransition(() => {
        hydrateRoot(document, (React.createElement(I18nextProvider, { i18n: i18next },
            React.createElement(StrictMode, null,
                React.createElement(CacheProvider, { value: cache },
                    React.createElement(StyleProvider, { cache: antCache },
                        React.createElement(Provider, { store: store },
                            React.createElement(SlotFillProvider, null,
                                React.createElement(InversifyProvider, { container: container, modules: clientModules },
                                    React.createElement(PersistGate, { loading: null, persistor: persistor }, () => (React.createElement(ApolloProvider, { client: client },
                                        React.createElement(RemixBrowser, null)))))))))))));
    });
}
if (window.requestIdleCallback) {
    window.requestIdleCallback(hydrate);
}
else {
    // Safari doesn't support requestIdleCallback
    // https://caniuse.com/requestidlecallback
    window.setTimeout(hydrate, 1);
}